
Imports DevExpress.Xpo

Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class PricingFix ' Fix árképzés
    Inherits BaseObject
    Private _Pricing As Pricing 'Árképzés fejléc
    Private _Products As Products 'Termék (amire az ár vonatkozik)
    Private _CurrencyName As CurrencyName ' Deviza 
    Private _PriceNetto As Double 'Nettó ár (devizának megfelelõen)
    Public Sub New(ByVal session As Session)
        MyBase.New(session)

    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()

    End Sub
    <Association("Pricing-PricingFix", GetType(Pricing))> _
    Property Pricing As Pricing
        Get
            Return _Pricing
        End Get
        Set(ByVal value As Pricing)
            SetPropertyValue("Pricing", _Pricing, value)
        End Set
    End Property
    <RuleRequiredField("PricingFix-Products", DefaultContexts.Save)> _
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(ByVal value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
    <RuleRequiredField("PricingFix-CurrencyName", DefaultContexts.Save)> _
    Property CurrencyName As CurrencyName
        Get
            Return _CurrencyName
        End Get
        Set(ByVal value As CurrencyName)
            SetPropertyValue("CurrencyName", _CurrencyName, value)
        End Set
    End Property
    <RuleRange("PricingFix-PriceNetto", DefaultContexts.Save, 0.00000001, Double.MaxValue)> _
    Property PriceNetto As Double
        Get
            Return _PriceNetto
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("PriceNetto", _PriceNetto, value)
        End Set
    End Property
End Class
